<div class="row">
  <div class="col-sm-8 col-sm-offset-2">
    <!-- #f (#[nom-reference]=ngForm) on donne une reference locale au formulaire pour qui permet à Angular de faire référence à l'élément depuis le DOM et on lui indique que l'élément est de type ngForm -->
    <form (ngSubmit)="onSubmit(f)" #f="ngForm">
      <div class="form-group">
        <label for="name">
          Nom de l'appareil
        </label>
        <input type="text" id="name" class="form-control" name="name" ngModel required>
      </div>
      <div class="form-group">
        <label for="status">
          Etat de l'appareil
        </label>
        <select id="status" class="form-control" name="status" [ngModel]="defaultOnOff"> <!-- [ngModel]="defaultOnOff" -> option selectionnée par default -->
          <option value="allumé">Allumé</option>
          <option value="éteint">Eteint</option>
        </select>
      </div>
      <button type="submit" class="btn btn-primary" [disabled]="f.invalid">Enregistrer</button>
    </form>
  </div>
</div>
